## libpst 0.5

=== Makefile ===
GCC_FLAGS=-g

all: readpst getidblock readpstlog dumpblocks

libpst.o: libpst.c libpst.h define.h
	gcc ${GCC_FLAGS} -c libpst.c -o libpst.o

libstrfunc.o: libstrfunc.c libstrfunc.h
	gcc ${GCC_FLAGS} -c libstrfunc.c -o libstrfunc.o

debug.o: debug.c define.h
	gcc ${GCC_FLAGS} -c debug.c -o debug.o

lzfu.o: lzfu.c define.h
	gcc ${GCC_FLAGS} -c lzfu.c -o lzfu.o

readpst: readpst.c define.h libpst.o timeconv.o libstrfunc.o common.h debug.o lzfu.o
#	ccmalloc gcc -Wall -Werror readpst.c -g -o readpst libpst.o timeconv.o libstrfunc.o debug.o
#	gcc -Wall -Werror readpst.c -g -o readpst libpst.o timeconv.o libstrfunc.o debug.o lzfu.o -lefence
	gcc ${GCC_FLAGS} readpst.c -o readpst libpst.o timeconv.o libstrfunc.o debug.o lzfu.o

timeconv.o: timeconv.c timeconv.h common.h
	gcc ${GCC_FLAGS} -c timeconv.c -o timeconv.o

getidblock: getidblock.c define.h libpst.o common.h debug.o libstrfunc.o
	gcc ${GCC_FLAGS} getidblock.c -o getidblock libpst.o debug.o timeconv.o libstrfunc.o

testdebug: testdebug.c define.h debug.o
	gcc ${GCC_FLAGS} testdebug.c -o testdebug debug.o libstrfunc.o

readpstlog: readpstlog.c define.h debug.o
	gcc ${GCC_FLAGS} readpstlog.c -g -o readpstlog debug.o libstrfunc.o

dumpblocks: dumpblocks.c define.h libpst.o debug.o
	gcc ${GCC_FLAGS} dumpblocks.c -o dumpblocks libpst.o debug.o libstrfunc.o timeconv.o

clean: 
	rm -f core readpst libpst.o timeconv.o libstrfunc.o debug.o getidblock readpstlog testdebug dumpblocks lzfu.o *~ 

rebuild: clean all

install: all
	cp readpst /usr/local/bin
	cp readpstlog /usr/local/bin/readpstlog
uninstall:
	rm -f /usr/local/bin/readpst
	rm -f /usr/local/bin/readpstlog

## libpst 0.5.1

=== Makefile ===
#!/usr/bin/make -f

CFLAGS  ?= -g -Wall
PREFIX ?= /usr/local
INSTALL ?= install

#---------------- Do not modify below this point ------------------

INSTALL_DIR     := $(INSTALL) -p -d -o root -g root -m 0755
INSTALL_FILE    := $(INSTALL) -p    -o root -g root -m 0644
INSTALL_PROGRAM := $(INSTALL) -p    -o root -g root -m 0755 # -s
INSTALL_SCRIPT  := $(INSTALL) -p    -o root -g root -m 0755

VERSION = $(shell cat VERSION)

DOCS := AUTHORS ChangeLog CREDITS FILE-FORMAT FILE-FORMAT.html LICENSE TODO \
	VERSION

DISTFILES := $(DOCS) Makefile setup1.vdproj XGetopt.c XGetopt.h common.h \
	debug.c define.h dumpblocks.c getidblock.c libpst.c libpst.h \
	libstrfunc.c libstrfunc.h lspst.c lzfu.c lzfu.h moz-script \
	readlog.vcproj readpst.1 readpst.c readpstlog.1 readpstlog.c \
	testdebug.c timeconv.c timeconv.h w32pst.sln w32pst.vcproj

PROGS := lspst readpst readpstlog
ALL_PROGS := $(PROGS) dumpblocks getidblock testdebug

all: $(PROGS)

XGetopt.o: XGetopt.h
debug.o: define.h
dumpblocks.o: define.h
getidblock.o: XGetopt.h define.h libpst.h
libpst.o: define.h libstrfunc.h libpst.h timeconv.h
libstrfunc.o: libstrfunc.h
lspst.o: libpst.h timeconv.h
lzfu.o: define.h libpst.h lzfu.h
readpst.o: XGetopt.h libstrfunc.h define.h libpst.h common.h timeconv.h lzfu.h
readpstlog.o: XGetopt.h define.h
testdebug.o: define.h
timeconv.o: timeconv.h common.h

readpst: readpst.o libpst.o timeconv.o libstrfunc.o debug.o lzfu.o
lspst: debug.o libpst.o libstrfunc.o lspst.o timeconv.o
getidblock: getidblock.o libpst.o debug.o libstrfunc.o
testdebug: testdebug.o debug.o
readpstlog: readpstlog.o debug.o
dumpblocks: dumpblocks.o libpst.o debug.o libstrfunc.o

clean: 
	rm -f core *.o readpst.log $(ALL_PROGS) *~ MANIFEST

distclean: clean
	rm -f libpst-*.tar.gz

install: all
	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/bin
	$(INSTALL_PROGRAM) readpst{,log} $(DESTDIR)$(PREFIX)/bin
	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/man/man1
	$(INSTALL_FILE) readpst{,log}.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/doc/libpst
	$(INSTALL_FILE) $(DOCS) $(DESTDIR)$(PREFIX)/share/doc/libpst/

uninstall:
	-rm -f $(DESTDIR)$(PREFIX)/bin/readpst{,log}
	-rm -f $(DESTDIR)$(PREFIX)/share/man/man1/readpst{,log}.1

# stolen from ESR's Software Release Practices HOWTO available at:
# http://en.tldp.org/HOWTO/Software-Release-Practice-HOWTO/distpractice.html
MANIFEST: Makefile
	@ls $(DISTFILES) | sed s:^:libpst-$(VERSION)/: >MANIFEST
tarball libpst-$(VERSION).tar.gz: MANIFEST $(DISTFILES)
	@(cd ..; ln -s libpst libpst-$(VERSION))
	(cd ..; tar -czvf libpst/libpst-$(VERSION).tar.gz `cat libpst/MANIFEST`)
	@(cd ..; rm libpst-$(VERSION))
	@rm -f MANIFEST

.PHONY: clean distclean uninstall install tarball

## libpst 0.5.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-CFLAGS  ?= -g -Wall
+CFLAGS  ?= -g -O2 -Wall
 PREFIX ?= /usr/local
 INSTALL ?= install
 
@@ -12,9 +12,10 @@
 INSTALL_SCRIPT  := $(INSTALL) -p    -o root -g root -m 0755
 
 VERSION = $(shell cat VERSION)
+CFLAGS += -DVERSION=\"$(VERSION)\"
 
-DOCS := AUTHORS ChangeLog CREDITS FILE-FORMAT FILE-FORMAT.html LICENSE TODO \
-	VERSION
+DOCS := AUTHORS ChangeLog CREDITS FILE-FORMAT FILE-FORMAT.html INSTALL \
+	LICENSE TODO VERSION
 
 DISTFILES := $(DOCS) Makefile setup1.vdproj XGetopt.c XGetopt.h common.h \
 	debug.c define.h dumpblocks.c getidblock.c libpst.c libpst.h \
@@ -64,6 +65,7 @@
 uninstall:
 	-rm -f $(DESTDIR)$(PREFIX)/bin/readpst{,log}
 	-rm -f $(DESTDIR)$(PREFIX)/share/man/man1/readpst{,log}.1
+	-rm -f $(DESTDIR)$(PREFIX)/share/doc/libpst/
 
 # stolen from ESR's Software Release Practices HOWTO available at:
 # http://en.tldp.org/HOWTO/Software-Release-Practice-HOWTO/distpractice.html

## libpst 0.5.3

=== Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 getidblock: getidblock.o libpst.o debug.o libstrfunc.o
 testdebug: testdebug.o debug.o
 readpstlog: readpstlog.o debug.o
-dumpblocks: dumpblocks.o libpst.o debug.o libstrfunc.o
+dumpblocks: dumpblocks.o libpst.o debug.o libstrfunc.o timeconv.o
 
 clean: 
 	rm -f core *.o readpst.log $(ALL_PROGS) *~ MANIFEST

## libpst 0.6.54

=== debian/changelog ===
libpst (0.6.54-0ubuntu1) precise; urgency=low

  * New upstream release
  * debian/*:
    - use debian-source 3.0 (quilt)
    - bump compat level to 9 for transition to multiarch
  * debian/rules:
    - remove tarball repacking and clean up
    - use dh-autoreconf
  * debian/libpst4:
    - move documentions to libpst-doc
  * debian/patches:
    - refreshed

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 28 Feb 2012 00:10:18 +0100

libpst (0.6.41-0ubuntu6) precise; urgency=low

  * Build-depend on libjpeg-dev instead of libjpeg62-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Dec 2011 15:10:04 +0100

libpst (0.6.41-0ubuntu5) natty; urgency=low

  * Fix build failure with DSO link changes (Rob Savoye).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Oct 2010 10:45:35 +0200

libpst (0.6.41-0ubuntu4) lucid; urgency=low

  * debian/rules: Set DEB_AUTO_UPDATE_ACLOCAL explicitly, to fix a build
    failure.  LP: #534291.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Mar 2010 23:17:12 +0000

libpst (0.6.41-0ubuntu3) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sat, 06 Mar 2010 13:36:37 +0100

libpst (0.6.41-0ubuntu2) karmic; urgency=low

  * bad build -- missing /usr/lib/pkgconfig/libpst.pc 

 -- C de-Avillez <hggdh2@gmail.com>  Fri, 25 Sep 2009 14:46:37 -0500

libpst (0.6.41-0ubuntu1) karmic; urgency=low

   [Sebastien Bacher]
   * New upstream version

   [ C de-Avillez]
   * debian/patches/10-current-attach.patch: dropped,
     included in upstream.
   * debian/rules: 
     - disable Python (added --disable-python on 'configure' extra
       options). May be included in a later revision. There seems to be
       a mismatch between the name of the required library (libboost-python,
       in the Makefiles) and the existing library for the libboost-python
       package. Will check upstream.
   * debian/control:
     - update binary package name to 'libpst4' -- API/ABI changed on
       0.6.38.
     - adjusted build-depends to state libgd2-xpm-dev|libgd2-noxpm-dev
       this will allow libpst4 to be installed with either of the libgd2,
       with preference to libgd2-xpm.
   * debian/*.install:
     - moved libpst1.install to libpst4.install
     - added devel documentation into libpst4-dev, instead of creating a
       separate package.

 -- C de-Avillez <hggdh2@ubuntu.com>  Thu, 24 Sep 2009 17:22:36 -0500

libpst (0.6.27-0ubuntu1) jaunty; urgency=low

  [ HggdH ]
  * new upstream source being used  (LP: #317602) -- www.five-ten-sg.com/libpst:
    Debian's libpst version does not provide a shared library, and
    does not support newer Evolution PST files; dropping it.
  * remove upstream basic debianisation, and re-debianise using CDBS.
    upstream provides a basic, incomplete, and non-functional ./debian;
    also, add a ./debian/rules get-orig-source target in order to 
    cleanup nicely.
  * debian/patches/10-current-attach.patch: patch for Evolution use,
      should be eventually dropped for a Evolution patch upstream.
  * debian/patches/05-disable-debian-gen.patch: adjust configure.in
    and Makefile.am not to generate the debian directory and files.
  * changed dependency from libgd2-noxpm to libgd2-xpm >= 2.0.36
      (current jaunty alpha 3 level).
  * add a Conflitcs for readpst < 0.6.27, to guarantee upgrade for
    those using the old libpst packages.

  [ Iain Lane ]
  * Set priority: extra and remove conflicts on same binary package
  * debian/copyright: Update and mention GPL-2+ licensed file src/lzfu.c 

 -- HggdH <hggdh2@gmail.com>  Wed, 25 Feb 2009 10:49:13 -0600

=== debian/control ===
Source: libpst
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Carl Byington <carl@five-ten-sg.com>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libfreetype6-dev,
               libgd2-xpm-dev | libgd2-noxpm-dev,
               libjpeg-dev,
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.five-ten-sg.com/libpst/
Vcs-Browser: http://hg.five-ten-sg.com/libpst/

Package: readpst
Priority: optional
Architecture: any
Depends: imagemagick,
         libpst4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Utilities to convert Outlook .pst files to other formats
 The readpst utilities include readpst which can convert email messages
 to both mbox and MH mailbox formats, pst2ldif which can convert the
 contacts to .ldif format for import into ldap databases, and pst2dii
 which can convert email messages to the DII load file format used by
 Summation. Requires the shared libray provided by libpst1.

Package: libpst4
Architecture: any
Priority: optional
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Shared library needed by the readpst utilities, and
 other programmes. The libpst shared library is required by the
 readpst utilities, and provides the necessary functions to manipulate
 the Outlook PST files.

Package: libpst-dev
Architecture: any
Priority: optional
Section: libdevel
Depends: libpst4 (= ${binary:Version}), ${misc:Depends}
Description: Development files needed for libpst4
 Development files needed if coding or compiling programmes that use
 the libpst shared libray.

Package: libpst-doc
Architecture: all
Priority: optional
Section: doc
Depends: ${misc:Depends}
Description: Documentation for libpst
 This package contains the documentation for the libpst shared libray.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- --enable-libpst-shared --disable-python

%:
	dh $@ --with autoreconf

## libpst 0.6.59

=== debian/changelog ===
libpst (0.6.59-1ubuntu1) vivid; urgency=medium

  * Define _GNU_SOURCE to see the get_current_dir_name prototype
    in unistd.h.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2015 17:24:16 +0100

libpst (0.6.59-1build1) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:11:45 +0100

libpst (0.6.59-1) unstable; urgency=low

  * [ec26e2d0] Imported Upstream version 0.6.59

 -- Leo Costela <costela@debian.org>  Sun, 19 May 2013 02:49:16 +0200

libpst (0.6.58-1) experimental; urgency=low

  * [5237d7e5] Imported Upstream version 0.6.58
    - avoid PATH_MAX to build on Hurd (closes: #685925)
  * [18906421] fix libgd build-dep
  * [bf9b6ebf] add libgsf build-dep
  * [e013b259] drop patches imported upstream

 -- Leo Costela <costela@debian.org>  Sun, 20 Jan 2013 20:42:18 +0100

libpst (0.6.55-1) experimental; urgency=low

  * [3461d28b] Imported Upstream version 0.6.55

 -- Leo Costela <costela@debian.org>  Sat, 08 Sep 2012 18:40:08 +0200

libpst (0.6.54-4) unstable; urgency=low

  [ Jordi Mallach ]
  * [853813f5] Build-Depend on imagemagick and libgd2-noxpm-dev to 
               enable pst2dii.
  * [819df437] Convert to Multi-Arch. (closes: #675944)
  * [729479e2] Add symbols file for libpst4.
  * [7966419c] Move outlook.pst.5 to -dev package. Add required 
               Breaks/Replaces.

  [ Leo Costela ]
  * [77eccd92] make -dbg multi-arch:same

 -- Leo Costela <costela@debian.org>  Sat, 30 Jun 2012 19:56:35 +0200

libpst (0.6.54-3) unstable; urgency=low

  * [998a461c] make source priority:optional
  * [51a065db] remove debian/* from debian/copyright
  * [a22c4d08] install includes to versioned dir (Closes: 675705)

 -- Leo Costela <costela@debian.org>  Sat, 02 Jun 2012 22:54:09 +0200

libpst (0.6.54-2) unstable; urgency=low

  * [4784128e] re-add readpst as transitional package

 -- Leo Costela <costela@debian.org>  Sat, 02 Jun 2012 18:06:10 +0200

libpst (0.6.54-1) unstable; urgency=low

  * upload to unstable to take-over package (see #512909)
  * [6046fa94] Imported Upstream version 0.6.54 (closes: 512909)
  * [4b606aa2] adding debian/watch
  * [2ba6de21] add debian/TODO
  * [bc915076] add Vcs-* headers; add breaks/replaces readpst
  * [1872122e] adding patch to store Status in mbox files
  * [7956254a] drop mbox_flags.patch (merged upstream)
  * [07cc5885] debian/copyright: update copyright years
  * [970d1ae5] add patch to build with --no-add-needed
  * [9fc8d5e9] register HTML docs with doc-base
  * [8d3b4707] update dont_build_debian_dir patch to use autoreconf
  * [0b128dd1] clarify short-description for libpst-dev
  * [20214026] drop chrpath usage; --disable-rpath now works
  * [7888d515] use hardening flags and build with --as-needed
  * [268d5e37] bump policy to 3.9.3 (no changes)
  * [187ef1a7] add patch to fix ax_boost_python.m4

 -- Leo Costela <costela@debian.org>  Fri, 01 Jun 2012 20:10:53 +0200

libpst (0.6.52-1) experimental; urgency=low

  * New upstream release
  * migrate to debhelper 8
  * debian/control:
    - bump policy to 3.9.2 (no changes)
    - change Homepage to point at new fork
    - build-dep on chrpath, since --disable-rpath doesn't seem to work
  * debian/rules:
    - manually delete RPATH on dh_install

 -- Leo Costela <costela@debian.org>  Tue, 14 Jul 2011 20:21:19 +0200

libpst (0.5.3-1) unstable; urgency=low

  * New upstream release, closes: #489645.
  * bump debhelper compat to 6, no changes.
  * debian/control:
    + bump std-ver to 3.8.0, no changes.
    + add Homepage field
  * create debug package to help with analyzing readpst problems
    + use -O0 when compiling to ensure stuff is not optimized out

 -- Joe Nahmias <jello@debian.org>  Mon, 14 Jul 2008 23:53:37 -0400

libpst (0.5.2-1) unstable; urgency=low

  * New upstream release
    * Fixes content-type for attachments, closes: #256819.
    * many, many memory fixes, closes: #263025.
    * lots of other improvements.
  * Bump debhelper compat to 5, std-ver to 3.7.2.2; no changes.
  * Update FSF address in debian/copyright.

 -- Joe Nahmias <jello@debian.org>  Sun, 31 Dec 2006 06:14:50 +0000

libpst (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * New upstream maintainer.
  * update debian/watch to use files on alioth.

 -- Joe Nahmias <jello@debian.org>  Wed, 17 Nov 2004 20:10:18 -0500

libpst (0.5-4) unstable; urgency=low

  * The "I'm getting the feeling that I'm turning into upstream" release.
  * readpst.c: ensure there's a blank line between header and body;
      patch from <johnh@aproposretail.com> (SF #890745).
  * readpst.c: fix string escaping to consider escaped '\n', closes: #242252;
      thanks to Paul Bakker <bakker@fox-it.com>.
  * updated version number to 0.5 to match upstream tarball name, thanks to
    "Chris B." <chris@tech.com.au> for noticing.
  * update debian/watch.

 -- Joe Nahmias <jello@debian.org>  Thu,  1 Jul 2004 16:35:16 -0400

libpst (0.5-3) unstable; urgency=low

  * libpst.c: fix date/time on big-endian machines.
  * added debian/watch file for upstream version tracking with uscan.

 -- Joe Nahmias <jello@debian.org>  Fri, 12 Mar 2004 00:32:19 -0500

libpst (0.5-2) unstable; urgency=low

  * libpst.h: Fix endian handling, closes: #236944.
  * lzfu.c: Fix endian mixups.

 -- Joe Nahmias <jello@debian.org>  Wed, 10 Mar 2004 23:58:03 -0500

libpst (0.5-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: updated download location.
  * typo corrections in manpages (thanks era eriksson!)

 -- Joe Nahmias <jello@debian.org>  Tue, 24 Feb 2004 21:59:13 -0500

libpst (0.4.3-1) unstable; urgency=low

  * Initial Release (closes: #178113).
  * Included critical updates that upstream sent me from CVS.
  * Wrote manpage for readpstlog.

 -- Joe Nahmias <joe@nahmias.net>  Tue, 15 Apr 2003 18:55:00 -0400

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,--no-undefined,--no-add-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autotools-dev --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --enable-libpst-shared --disable-python
	# TODO: --enable-python

override_dh_installdocs:
	dh_installdocs -Nreadpst -A AUTHORS TODO

override_dh_installchangelogs:
	dh_installchangelogs -Nreadpst

override_dh_strip:
	dh_strip --dbg-package=libpst4-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== debian/watch ===
version=3

http://www.five-ten-sg.com/libpst/packages/libpst-(.+)\.tar\.gz

## libpst 0.6.71

=== debian/changelog ===
libpst (0.6.71-0.1) unstable; urgency=medium

  * Non-maintainer upload, and move to salsa.
  * New upstream release. (Closes: #839620)
  * Use libgd-dev to replace libgd2-*-dev in build-dep. (Closes: #880773)
  * Remove -dbg and readpst. (Closes: #732767)
  * Remove autotools-dev and raise debhelper version to 10.
  
  [Helmut Grohne]
  * Use triplet prefixed pkg-config. (Closes: #838390)

 -- YunQiang Su <syq@debian.org>  Fri, 23 Mar 2018 14:42:23 +0800

=== debian/control ===
Source: libpst
Section: utils
Priority: optional
Maintainer: Leo Costela <costela@debian.org>
Build-Depends: debhelper (>= 10~),
        dh-autoreconf,
#	for buildflags.mk
        dpkg-dev (>= 1.16.1~),
#       for pst2dii
        imagemagick,
        libgd-dev,
        libgsf-1-dev
Standards-Version: 4.1.3
Homepage: http://www.five-ten-sg.com/libpst/
Vcs-Browser: https://salsa.debian.org/debian/libpst
Vcs-Git: https://salsa.debian.org/debian/libpst.git

Package: libpst4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for reading Microsoft Outlook PST files
 Library for accessing data from Microsoft Outlook PST files.

Package: libpst-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpst4 (=${binary:Version})
Breaks: libpst4 (<= 0.6.54-3)
Replaces: libpst4 (<= 0.6.54-3)
Description: library for reading Microsoft Outlook PST files (development files)
 Library for accessing data from Microsoft Outlook PST files.
 .
 This package include the files needed for developing with libpst.

Package: pst-utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: readpst (<= 0.5.3-1)
Replaces: readpst (<= 0.5.3-1)
Description: tools for reading Microsoft Outlook PST files
 This package contains tools based on libpst to read data from Microsoft
 Outlook PST files.
   * readpst - export data from PST files to a variety of formats, including 
     mbox, MH, Maildir and Mozilla-mbox.
   * lspst - list data in PST files.
   * pst2ldif - extract contacts from a PST file and prepare them for input in
     LDAP
   * pst2dii - export data from PST files to Summation dii load file format

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,--no-undefined,--no-add-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --enable-libpst-shared --disable-python
	# TODO: --enable-python

override_dh_installdocs:
	dh_installdocs -A AUTHORS TODO

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## libpst 0.6.74

=== debian/changelog ===
libpst (0.6.74-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:46:30 +0100

libpst (0.6.74-1) unstable; urgency=medium

  * New upstream release
    - Fixes a crash in readpst (Closes: #875894)
    - All patches merged, drop
    - Record new pst_fileTimeToString symbol
    - Bump shlibs for new symbol

 -- Paul Wise <pabs@debian.org>  Mon, 13 Jan 2020 13:22:39 +0800

libpst (0.6.71-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ lintian-brush ]
  * debian/copyright: Replace commas with whitespace to separate items
    in Files paragraph.
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 10.
  * Fix day-of-week for changelog entry 0.6.52-1.
  * Use secure URI in Homepage field.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Paul Wise ]
  * Add some upstream metadata
  * Use more correct, secure URI in debian/copyright
  * Adopt the package (Closes: #856524)
    - Thanks to Leo Costela and others for earlier maintenance
  * Slightly expand the libpst-dev package description
  * Declare the package doesn't need root to build
  * Document compliance with Standards-Version 4.4.1
  * Document -dev package in symbols file
  * Declare the copyright file as machine-readable
  * Mark the -dev package as Multi-Arch: same
  * Correct list of formats supported by readpst (Closes: #792257)
    - suggest mb2md for providing conversion to Maildir
  * Enable all hardening options
  * Clean up the copyright information file
  * Switch to debhelper-compat and version 12
  * Install the upstream NEWS file too

 -- Paul Wise <pabs@debian.org>  Mon, 16 Dec 2019 14:49:09 +0800

=== debian/control ===
Source: libpst
Section: utils
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends: debhelper-compat (= 12),
#	for buildflags.mk
        dpkg-dev (>= 1.16.1~),
#       for pst2dii
        imagemagick,
        libgd-dev,
        libgsf-1-dev
Standards-Version: 4.4.1
Homepage: https://www.five-ten-sg.com/libpst/
Vcs-Browser: https://salsa.debian.org/debian/libpst
Vcs-Git: https://salsa.debian.org/debian/libpst.git
Rules-Requires-Root: no

Package: libpst4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for reading Microsoft Outlook PST files
 Library for accessing data from Microsoft Outlook PST files.

Package: libpst-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libpst4 (=${binary:Version})
Breaks: libpst4 (<= 0.6.54-3)
Replaces: libpst4 (<= 0.6.54-3)
Description: library for reading Microsoft Outlook PST files (development files)
 Library for accessing data from Microsoft Outlook PST files.
 .
 This package include the files needed for developing with libpst,
 including the headers, static library and documentation.

Package: pst-utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: readpst (<= 0.5.3-1)
Replaces: readpst (<= 0.5.3-1)
Suggests: mb2md
Description: tools for reading Microsoft Outlook PST files
 This package contains tools based on libpst to read data from Microsoft
 Outlook PST files.
   * readpst - export data from PST files to a variety of formats, including
     mbox, MH and KMail. Other packages like mb2md are available for subsequent
     conversions to Maildir and other formats.
   * lspst - list data in PST files.
   * pst2ldif - extract contacts from a PST file and prepare them for input in
     LDAP
   * pst2dii - export data from PST files to Summation dii load file format

## libpst 0.6.75

=== debian/changelog ===
libpst (0.6.75-1) unstable; urgency=medium

  * New upstream release
    - Fixes VERSION line in Vcard creation (Closes: #951045)
  * Wrap and sort Debian packaging
  * Build-depend on autoconf-archive to avoid embedded copies
  * Document compliance with Standards-Version 4.5.0

 -- Paul Wise <pabs@debian.org>  Tue, 31 Mar 2020 16:37:43 +0800

=== debian/control ===
Source: libpst
Section: utils
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 autoconf-archive,
 debhelper-compat (= 12),
#for buildflags.mk
 dpkg-dev (>= 1.16.1~),
#for pst2dii
 imagemagick,
 libgd-dev,
 libgsf-1-dev,
Standards-Version: 4.5.0
Homepage: https://www.five-ten-sg.com/libpst/
Vcs-Browser: https://salsa.debian.org/debian/libpst
Vcs-Git: https://salsa.debian.org/debian/libpst.git
Rules-Requires-Root: no

Package: libpst-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libpst4 (=${binary:Version}),
 ${misc:Depends},
Breaks:
 libpst4 (<= 0.6.54-3),
Replaces:
 libpst4 (<= 0.6.54-3),
Description: library for reading Microsoft Outlook PST files (development files)
 Library for accessing data from Microsoft Outlook PST files.
 .
 This package include the files needed for developing with libpst,
 including the headers, static library and documentation.

Package: libpst4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for reading Microsoft Outlook PST files
 Library for accessing data from Microsoft Outlook PST files.

Package: pst-utils
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 readpst (<= 0.5.3-1),
Replaces:
 readpst (<= 0.5.3-1),
Suggests:
 mb2md,
Description: tools for reading Microsoft Outlook PST files
 This package contains tools based on libpst to read data from Microsoft
 Outlook PST files.
   * readpst - export data from PST files to a variety of formats, including
     mbox, MH and KMail. Other packages like mb2md are available for subsequent
     conversions to Maildir and other formats.
   * lspst - list data in PST files.
   * pst2ldif - extract contacts from a PST file and prepare them for input in
     LDAP
   * pst2dii - export data from PST files to Summation dii load file format

=== debian/watch ===
version=3

https://www.five-ten-sg.com/libpst/packages/libpst-(.+)\.tar\.gz

## libpst 0.6.76

=== debian/changelog ===
libpst (0.6.76-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/0005-Readpst-Fix-a-build-with-gcc-C23-standard.patch: New patch
    (Closes: #1097253)

 -- Matheus Polkorny <mpolkorny@gmail.com>  Thu, 30 Oct 2025 22:12:14 -0300

libpst (0.6.76-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix 'incompatible pointer types' warning on i686
    Add 0004-Fix-incompatible-pointer-types-warning-on-i686.patch
    Closes: #1086237

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 09 Mar 2025 23:51:59 +1100

libpst (0.6.76-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062577

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 16:33:04 +0000

libpst (0.6.76-1) unstable; urgency=medium

  * New upstream release.
    - Fixes encoding attachment filenames (Closes: #985464)
  * Add patches to fix header detection (See: #984581)
  * Document why some upstream files are not installed
  * Use watch file version 4
  * Document compliance with Debian Policy 4.5.1
  * Lengthen the libpst package description
  * Switch to latest debhelper compat level of 13

 -- Paul Wise <pabs@debian.org>  Tue, 17 Aug 2021 11:42:55 +0800

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  autoconf-archive,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 #for buildflags.mk
  dpkg-dev (>= 1.16.1~),
 #for pst2dii
  imagemagick,
  libgd-dev,
  libgsf-1-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.five-ten-sg.com/libpst/
 Vcs-Browser: https://salsa.debian.org/debian/libpst
 Vcs-Git: https://salsa.debian.org/debian/libpst.git
@@ -22,19 +22,22 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libpst4 (=${binary:Version}),
+ libpst4t64 (=${binary:Version}),
  ${misc:Depends},
 Breaks:
- libpst4 (<= 0.6.54-3),
+ libpst4t64 (<= 0.6.54-3),
 Replaces:
- libpst4 (<= 0.6.54-3),
+ libpst4t64 (<= 0.6.54-3),
 Description: library for reading Microsoft Outlook PST files (development files)
  Library for accessing data from Microsoft Outlook PST files.
  .
  This package include the files needed for developing with libpst,
  including the headers, static library and documentation.
 
-Package: libpst4
+Package: libpst4t64
+Provides: ${t64:Provides}
+Replaces: libpst4
+Breaks: libpst4 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -45,6 +48,8 @@
  ${shlibs:Depends},
 Description: library for reading Microsoft Outlook PST files
  Library for accessing data from Microsoft Outlook PST files.
+ .
+ This package include the libpst shared library used by applications.
 
 Package: pst-utils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,--no-undefined,--no-add-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --enable-libpst-shared --disable-python
	# TODO: --enable-python

override_dh_installdocs:
	dh_installdocs -A AUTHORS TODO NEWS

override_dh_makeshlibs:
	dh_makeshlibs -- -c4
